document.addEventListener('click', (e:MouseEvent) => {
    const button: HTMLElement = e.target as HTMLElement;

    if (button.classList.contains('FormControl__AdditionalInfoButton')) {
        e.preventDefault();

        const control = button.closest('.FormControl');
        const text = control.getElementsByClassName('FormControl__AdditionalInfo')[0] as HTMLElement;

        if (text.classList.contains('FormControl__AdditionalInfo_isShown')) {
            text.classList.remove('FormControl__AdditionalInfo_isShown');
        } else {
            text.classList.add('FormControl__AdditionalInfo_isShown');
        }
    }
});