<?php
namespace Ak\Form;

use Ak\ServiceManager\AbstractFactory\PluginManagerAbstractFactory;

return [
    'dependencies' => [
        'aliases' => [
            'FormElementManager' => FormElementManager::class,
        ],

        'factories' => [
            FormElementManager::class => PluginManagerAbstractFactory::class,
            'FormAnnotationBuilder' => Annotation\AnnotationBuilderFactory::class,
        ],
    ],
];