<?php
namespace Ak\Form;

use Ak\Form\Annotation\AnnotatedFormAbstractFactory;
use Laminas\Form\ElementFactory;

return [
    'form_elements' => [
        'aliases' => [
            'button' => Element\Button::class,
            'checkbox' => Element\Checkbox::class,
            'submit' => Element\Submit::class,
        ],

        'factories' => [
            Element\Button::class => ElementFactory::class,
            Element\Checkbox::class => ElementFactory::class,
            Element\Submit::class => ElementFactory::class,
        ],

        'abstract_factories' => [
            AnnotatedFormAbstractFactory::class,
        ],
    ],
];
