<?php
namespace Ak\Form\Element;

/**
 * Predstavlja <button type="submit"> element.
 *
 * @package Ak\Form\Element
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/form
 */
final class Submit extends Button
{
	/**
	 * Seed attributes
	 *
	 * @var array
	 */
	protected $attributes = [
		'type' => 'submit',
	];

	/** @var string */
	protected $style = ButtonStyle::PRIMARY;
}