<?php
namespace AkTest\Form\Annotation;

use Laminas\Form\Annotation as Form;

/**
 * Class ChildObject
 *
 * @package AkTest\Form\Annotation
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/wp-core
 */
final class ChildObject extends ChildObjectParent
{
    /**
     * @var string
     * @Form\Attributes({"class": "some-class"})
     */
    protected $name;

    /**
     * @var string
     */
    protected $value;

    /**
     * @return string
     */
    public function getName(): string
    {
        return $this->name;
    }

    /**
     * @return string
     */
    public function getValue(): string
    {
        return $this->value;
    }
}
